Skip to content
View as Markdown

POST Bulk Action Funnels​

POST
/funnels/do-bulk-action

Perform a bulk action on multiple funnels. Supported actions: change_funnel_status (change status of selected funnels), delete_funnels (permanently delete selected funnels and all associated data), and apply_labels (attach labels to selected funnels).

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"action_name": "change_funnel_status",
"funnel_ids": [
1,
2,
3
],
"status": "published"
}

Responses​

Bulk action completed successfully.

application/json
JSON
{
"message": "Status has been changed for the selected funnels"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI